import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { HandleBindFunction, IAnalyticsTrackEventDetail, IQuoteRequestButtonContainerComponent, IQuotesState } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkQuoteRequestButtonContainer implements IQuoteRequestButtonContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    /**
     * Annual Price
     */
    annualPrice: string;
    /**
     * Application form id
     */
    appFormId: string;
    /**
     * Carrier name
     */
    carrierName: string;
    /**
     * quote bind function
     */
    handleBind: HandleBindFunction;
    /**
     * Quote id
     */
    quoteId: string;
    /**
     * Is quote expired
     */
    isQuoteExpired: boolean;
    /**
     * Quote object injected from redux
     */
    quote: IQuotesState;
    useExternal: boolean;
    quoteWindow: Window;
    bpAnalyticsTrack: EventEmitter<IAnalyticsTrackEventDetail>;
    resetState(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    handleSubscriptions: () => void;
    mapStateToProps: (state: BpSdkStore) => {
        isQuoteExpired: boolean;
        quote: IQuotesState;
    };
    componentWillLoad(): void;
    handleAfterBindResponse: (quoteWindow: Window) => (response: string) => void;
    onBind: () => void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
